Subject: bug#27008: 26.0.50; auto-hscroll-mode and scroll-left

From: Stephen Berman <[email-masked]>
Date: Tue, 30 May 2017 18:57:01 +0200

On Tue, 30 May 2017 17:56:07 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 21 May 2017 22:12:27 +0200
>> 
>> Why can't the other lines be displayed with hscroll set to
>> w->min_hscroll, as they are with auto-hscroll-mode set to t?
>
> Thanks, I've tried to implement this idea in the attached.  I won't
> have enough time to test it, though, so please run with this applied
> for a few days and see if there are any adverse effects.  If not, I
> will push this.

Thanks very much for pursuing this.  I updated my master branch, applied
your patch and rebuilt, but when I executed the recipe of my OP, I saw
the same effect with the patch as without it: only the current line
respects w->min_hscroll, the other are displayed from BOL.  I'd be happy
to try and help diagnose this further, if you can advise me what to do.

Steve Berman